Skip to main content
POST
/
api
/
v1
/
shared
/
uploads
/
intent
Create Intent
curl --request POST \
  --url https://api.example.com/api/v1/shared/uploads/intent \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "kind": "<string>",
  "mime": "<string>",
  "size": 123,
  "filename": "<string>"
}
'
{
  "uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "presignedPost": {
    "url": "<string>",
    "fields": {}
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

POST /uploads/intent body.

kind
string
required
mime
string
required
size
integer
required
filename
string
required

Response

Successful Response

POST /uploads/intent response — the client uses presignedPost to upload to S3.

uploadId
string<uuid>
required
presignedPost
PresignedPostDTO · object
required

The S3 presigned POST envelope — passed straight to the browser.